const express = require("express");

const router = express.Router();

const DashboardController = require("../controller/dashboard.controller");

// =====================================
// Dashboard Statistics
// =====================================

router.get(
    "/stats",
    DashboardController.getStatistics
);

// =====================================
// System Health
// =====================================

router.get(
    "/system-health",
    DashboardController.systemHealth
);

// =====================================
// Attendance Analytics
// =====================================

router.get(
    "/attendance-analytics",
    DashboardController.getAttendanceAnalytics
);

// =====================================
// Recent Attendance
// =====================================

router.get(
    "/recent-attendance",
    DashboardController.getRecentAttendance
);

module.exports = router;